Package Details: enlightenment-git 0.24.0.beta1.24079.gd63f4a53e-1

Git Clone URL: https://aur.archlinux.org/enlightenment-git.git (read-only, click to copy)
Package Base: enlightenment-git
Description: Enlightenment window manager - Development version
Upstream URL: http://www.enlightenment.org
Licenses: BSD
Conflicts: enlightenment
Provides: enlightenment=0.24.0.beta1.24079.gd63f4a53e, notification-daemon
Submitter: Scimmia
Maintainer: raster
Last Packager: raster
Votes: 64
Popularity: 0.35
First Submitted: 2014-01-08 21:25
Last Updated: 2020-05-14 09:28

Dependencies (22)

Required by (47)

Sources (1)

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 11 12 13 14 ... Next › Last »

highway commented on 2014-01-11 02:36

uninstalled e17-git and the e17-git-debug, installed this, started X . . . easy as pie! thanks for all of the hard work!

Scimmia commented on 2014-01-08 21:27

The rename is on, new package at https://aur.archlinux.org/packages/enlightenment-git/

Everyone should update as soon as possible. This package will be merged with that one.

Scimmia commented on 2014-01-08 21:26

Yes, the pkgver says rc2, they just haven't bothered to update it in the master branch yet. This is the final release of 0.18 + bugfixes.

Nierro commented on 2014-01-05 20:28

Ok, i'll wait that day then. Thank you very much ;)

Scimmia commented on 2014-01-05 17:49

Yes, you still need to specify that branch if you want e19. discomfitor posted on the mailing list last Monday that he only had a couple of issues there that needed to be fixed before he merges it to master and "it's almost definitely going to happen this week". We know how software development goes, it didn't happen last week. I would expect it very soon; when it happens, I'll actually update this package so that the pkgver goes to 0.18.99 to match the other git packages.

Nierro commented on 2014-01-05 14:24

Does this package still needs "#branch=devs/discomfitor/e19" to build e19?
I guess it builds e18-git, so what one day will become e19. Is this correct?

Scimmia commented on 2014-01-03 03:00

Yes it should, but until very recently, the "enlightenment" package in [extra] was E16, so naming this enlightenment-git would have been confusing. Since this is the -git version of the enlightenment17 package, that's the name I used. Luckily, Ronald van Haren is fixing the names in [extra] with the E18 release; when that happens, I'll rename this one, too.

See: https://bugs.archlinux.org/task/33962

Anonymous comment on 2014-01-03 02:56

@Scimmia: Sorry if if this has been asked before (couldn't find any such question), but what about the nomenclature of the package? Should the name not change to simply "enlightenment-git" if it follows the master (I have lost the overview of which branch does what for enlightenment, which is why I ask)?

Scimmia commented on 2013-12-26 17:31

@Fedes, no, I'm not. In fact, I can't. The stable release is an update to the enlightenment17 package in the main repos, so creating one here would be a duplicate and against the rules. We need to wait for Ronald van Haren to update it.

Fedes commented on 2013-12-26 17:24

Hey Scimmia,

First, let me say thanks for maintining these great packages for one of the best desktops out there, IMO. Are you planning on creating one for E18 stable release?

Thanks!